<template>
  <div>
    <div class="titulo">
      <strong>Plataforma de Franquicia</strong>
    </div>
    <div class="cotm">
      <div class="tmod">
        <strong>Bienvenido</strong>
      </div>
    </div>
    <!-- Contenido -->
    <div class="contSecc">
      <v-row>
        <v-col
          v-for="card in cardsPerfil"
          :key="card.title"
          :xs="12"
          :sm="12"
          :md="6"
          :lg="3"
        >
          <v-card :to="card.to" class="generalCard pa-4">
            <v-avatar class="ma-3" size="200" tile>
              <v-img
                :contain="true"
                :aspect-ratio="1"
                position="center"
                :src="card.src"
                :lazy-src="card.src"
                class="white--text align-end"
                height="150"
              >
                <template v-slot:placeholder>
                  <v-row
                    class="fill-height ma-0"
                    align="center"
                    justify="center"
                  >
                    <v-progress-circular
                      indeterminate
                      color="grey lighten-5"
                    ></v-progress-circular>
                  </v-row>
                </template>
              </v-img>
            </v-avatar>
            <v-card-title
              class="cardTitle black--text justify-center"
              v-text="card.title"
            ></v-card-title>
            <v-card-subtitle
              class="black--text"
              v-text="card.description"
            ></v-card-subtitle>
          </v-card>
        </v-col>
      </v-row>
    </div>
  </div>
</template>
<script>
import store from "@/store";
const serviceLocalStorage = store.state.serviceLocalStorage;
export default {
  name: "Component-Home",
  data() {
    return {
      user: "",
      perfilDespacho: false,
    };
  },
  methods: {
    getUser() {
      this.user = serviceLocalStorage.userToken();
    },
    isPerfilDespacho() {
      var usuariosFranquicia = [
        "10022084",
        "10022918",
        "10022236",
        "10023354",
        "10015237",
        "10021888",
        "10022234",
        "10021033",
        "00573646",
        "10021889",
        "10009852",
        "10022129",
        "10024223",
        "00654135",
        "00095155",
        "10017297",
        "10017345",
        "321224",
        "342369",
        "10016412",
        "10019387",
        "10016976",
        "94860",
        "10013762",
        "951185",
        "94860",
        "10013762",
        "951185",
      ];

      usuariosFranquicia.forEach((currentValue, index, array) => {
        if (this.user) {
          if (this.user.empleado == usuariosFranquicia[index]) {
            this.perfilDespacho = true;
          }
        }
      });
    },

    initCards() {
      this.getUser();
      this.isPerfilDespacho();

      if (this.perfilDespacho) {
        //this.cards = [this.cards[2]];
      }
    },
  },

  created() {
    this.getUser();
  },

  computed: {
    cardsPerfil() {
      let user = serviceLocalStorage.userToken();

      let cards = [
        {
          id: 1,
          title: "Modelo de Franquicia",
          src: require("@/assets/img/modelo-franquicia.svg"),
          description:
            "Gestión de las Franquicias, protocolos de Medición, disciplinas y ejes.",
          to: {
            name: "modelo_franquicia",
          },
        },
        {
          id: 2,
          title: "Modelo de Revisión en Sitio",
          src: require("@/assets/img/modelo-negocio.svg"),
          description: "Supervisión del desempeño de la Franquicia.",
          to: {
            name: "certificacion_calidad_gerente",
          },
        },
        {
          id: 3,
          title: "Modelo de Tiendas Nuevas",
          src: require("@/assets/img/TiendasNuevas.svg"),
          description:
            "Revisión y garantía de la infraestructura de las Franquicias.",
          to: {
            name: "modelo_entrega",
          },
        },
        {
          id: 4,
          title: "Sistema de Información",
          src: require("@/assets/img/sistema-info.svg"),
          description:
            "Visualiza la información recabada en los puntos de contacto",
          to: {
            name: "sistema_informacion",
          },
        },
        {
          id: 6,
          title: "Supervision Mantenimiento",
          src: require("@/assets/img/modelo-entrega.svg"),
          description: "Gestiona Las supervisiones de Mantenimiento",
          to: {
            name: "supervision_mantenimiento_asignaciones_home",
          },
        },
        {
          id: 7,
          title: "Modelo de Negocio",
          src: require("@/assets/img/modelo-negocio/modelonegocio.svg"),
          description: "Gestiona los Documentos de Modelo Negocio",
          to: {
            name: "modelo_negocio",
          },
        },
        {
          id: 9,
          title: "Administracion Layouts",
          src: require("@/assets/img/asignacionSup/carga.svg"),
          description: "Gestiona los Documentos Layouts",
          to: {
            name: "infraestructura_layouts_administrador_layouts",
          },
        },
      ];

      store.state.perfiles.forEach((item) => {
        if (item.perfil.id_perfil == 303 || item.perfil.id_perfil == 313) {
          //Perfil Director Certificación Calidad
          cards.forEach((card) => {
            if (card.id === 2) {
              card.to.name = "certificacion_calidad_director";
            }
          });
        }
      });
      if (process.env.NODE_ENV !== "production") {
        cards.push({
          title: "Privilegios",
          src: require("@/assets/img/adminperfil_icon.svg"),
          description: "Gestiona accesibilidad del sistema",
          to: {
            name: "privilegios",
          },
        });
        cards.push({
          title: "Soporte",
          src: require("@/assets/img/support.svg"),
          description: "Herramientas internas de soporte a la plataforma",
          to: {
            name: "soporte",
          },
        });
      }
      return cards;
    },
  },
};
</script>
